::
@echo off
REM 0) Remind the user that IDL must be installed

echo.
echo     Welcome to use PDFgetX2
echo.
echo ************** NOTICE ************
echo.
echo    IDL MUST be installed to run PDFgetX2
echo        Freely downloadable at:
echo              http://www.rsinc.com/download/
echo.
echo **********************************

REM 1) Check parameters for history file

REM ******* NOTE ******
REM
REM   %1 is already quoted by "%1" when passed, so case of:
REM       %1 has space: "%1" == "" will give an error
REM   the same happens for PDFgetX2_HistoryFile
REM

set PDFgetX2_HistoryFile=
if not '%1' == '' ( 
   if EXIST "%1" (
      set PDFgetX2_HistoryFile=%1
   ) else echo History file: "%1" does NOT exist!
)

if not '%PDFgetX2_HistoryFile%' == '' (
   echo.
   echo History file to be loaded:
   echo       %PDFgetX2_HistoryFile%
)

REM 2) Run pdfgetx2.sav

REM --- %0 already has one double quote on each end

set BatchFile=%0
echo.
echo Starting IDL executable: %BatchFile:pdfgetx2.bat=%pdfgetx2.sav
%BatchFile:pdfgetx2.bat=%pdfgetx2.sav

REM if not "%ERRORLEVEL%" == "1" (
REM    echo.
REM    echo  Please check whether IDL is installed properly!
REM   pause
REM )
exit
